Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::PG_FactoryRegistry::RoleInfo Struct Reference

List of all members.

## Public Methods
| RoleInfo (size_t estimated_number_entries=5)
## Public Attributes
ACE_CString | type_id_
PortableGroup::FactoryInfos | infos_

## Constructor & Destructor Documentation

TAO::PG_FactoryRegistry::RoleInfo::RoleInfo | ( | size_t | estimated_number_entries = 5 | ) |

## Member Data Documentation

PortableGroup::FactoryInfos TAO::PG_FactoryRegistry::RoleInfo::infos_

ACE_CString TAO::PG_FactoryRegistry::RoleInfo::type_id_

The documentation for this struct was generated from the following files:

- PG_FactoryRegistry.h
- PG_FactoryRegistry.cpp